MED fichier

Macros | Fonctions | Variables
Référence du fichier generateDatas.c
`#include <med.h>`
`#include "med_utils.h"`
Graphe des dépendances par inclusion de generateDatas.c:

Aller au code source de ce fichier.

## Macros
#define | MESGERR 1

## Fonctions
static med_int | _identity (int i)
static med_int | _withprofilearray (int i)
void | generateFullIDatas (const int myrank, const int lastrank, const int sizeoftype, const med_storage_mode profilemode, const med_size profilesize, const med_int *const profilearray, const med_size start, const med_size stride, const med_size count, const med_size blocksize, const med_size lastblocksize, const int nentities, const int nvaluesperentity, const int nconstituentpervalue, med_float **valuesarray)
void | generateNoIDatas (const int myrank, const int lastrank, const int sizeoftype, const med_storage_mode storagemode, const med_size profilearraysize, const med_int *const profilearray, const med_size start, const med_size stride, const med_size count, const med_size blocksize, const med_size lastblocksize, const int nentities, const int nvaluesperentity, const int nconstituentpervalue, med_float **valuesarray)

## Variables
static const med_int * | profilearray_global